com.thinkaurelius.titan.graphdb.relations

## Class AbstractProperty

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation
    - - com.thinkaurelius.titan.graphdb.relations.AbstractProperty

- All Implemented Interfaces:
    Idfiable, TitanElement, TitanProperty, TitanRelation, InternalElement, InternalRelation, Removable, com.tinkerpop.blueprints.Element, Comparable<TitanElement>
  Direct Known Subclasses:
    CacheProperty, StandardProperty

      public abstract class AbstractProperty
      extends AbstractTypedRelation
      implements TitanProperty

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Property Summary

    Properties
    Type | Property and Description
    --- | ---
    `boolean` | `is` Checks whether this relation is a property.

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProperty(long id, PropertyKey type, InternalVertex vertex, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()` Number of vertices on this relation
    `int` | `getLen()` Number of vertices on this relation that are aware of its existence
    `PropertyKey` | `getPropertyKey()` Returns the property key of this property
    `<O> O` | `getValue()` Returns the value of this property (possibly cast to the expected type).
    `TitanVertex` | `getVertex()` Returns the vertex on which this property is incident.
    `InternalVertex` | `getVertex(int pos)` Returns the vertex at the given position (0=OUT, 1=IN) of this relation
    `boolean` | `isEdge()` Checks whether this relation is an edge.
    `boolean` | `isProperty()` Checks whether this relation is a property.
    `void` | `setVertexAt(int pos, InternalVertex vertex)`
    `String` | `toString()`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.relations.AbstractTypedRelation

      `getDirection, getId, getProperty, getProperty, getProperty, getProperty, getPropertyKeys, getType, isHidden, isIncidentOn, isLoop, it, removeProperty, removeProperty, setProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getCompareId, getLongId, hashCode, hasId, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isIncidentOn, isLoop, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelation

      `getPropertyDirect, getPropertyKeysDirect, removePropertyDirect, setPropertyDirect`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, setId`

- - ### Property Detail

    - #### is

      Specified by:
        `isProperty` in interface `TitanRelation`
      Returns:
        true, if this relation is a property, else false.
      See Also:
        `TitanProperty`

  - ### Constructor Detail

    - #### AbstractProperty

          public AbstractProperty(long id,
                          PropertyKey type,
                          InternalVertex vertex,
                          Object value)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setVertexAt

          public void setVertexAt(int pos,
                         InternalVertex vertex)

    - #### getVertex

          public InternalVertex getVertex(int pos)

      Description copied from interface: `InternalRelation`
      Returns the vertex at the given position (0=OUT, 1=IN) of this relation
      Specified by:
        `getVertex` in interface `InternalRelation`
      Returns:

    - #### getArity

          public final int getArity()

      Description copied from interface: `InternalRelation`
      Number of vertices on this relation
      Specified by:
        `getArity` in interface `InternalRelation`
      Returns:

    - #### getLen

          public final int getLen()

      Description copied from interface: `InternalRelation`
      Number of vertices on this relation that are aware of its existence
      Specified by:
        `getLen` in interface `InternalRelation`
      See Also:
        `TitanEdge.isUnidirected()`

    - #### getPropertyKey

          public PropertyKey getPropertyKey()

      Description copied from interface: `TitanProperty`
      Returns the property key of this property
      Specified by:
        `getPropertyKey` in interface `TitanProperty`
      Returns:
        property key of this property
      See Also:
        `PropertyKey`

    - #### getVertex

          public TitanVertex getVertex()

      Description copied from interface: `TitanProperty`
      Returns the vertex on which this property is incident.
      Specified by:
        `getVertex` in interface `TitanProperty`
      Returns:
        The vertex of this property.

    - #### getValue

          public <O> O getValue()

      Description copied from interface: `TitanProperty`
      Returns the value of this property (possibly cast to the expected type).
      Specified by:
        `getValue` in interface `TitanProperty`
      Returns:
        value of this property

    - #### isProperty

          public boolean isProperty()

      Description copied from interface: `TitanRelation`
      Checks whether this relation is a property.
      Specified by:
        `isProperty` in interface `TitanRelation`
      Returns:
        true, if this relation is a property, else false.
      See Also:
        `TitanProperty`

    - #### isEdge

          public boolean isEdge()

      Description copied from interface: `TitanRelation`
      Checks whether this relation is an edge.
      Specified by:
        `isEdge` in interface `TitanRelation`
      Returns:
        true, if this relation is an edge, else false.
      See Also:
        `TitanEdge`

Copyright © 2012–2014. All rights reserved.